//================================================================
// E3D library
//
// - Plugins
//
// AUTHOR:  Gabor Nagy
// DATE:    2023-Dec-14 10:47:31
//
// Copyright (C) 1996-2026 by Gabor Nagy. All rights reserved.
//================================================================
#ifndef _E3D_Plugins_h
#define _E3D_Plugins_h

#include <EPlugins.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern EListA_s(, EPlugin, E3d_Plugins);

extern int     E3d_PluginLoad(EPlugin* PItems, const char* PPathName, const int PFromWhere);
extern int     E3d_PluginUnload(EPlugin* PItems, const int PFromWhere);
extern int     E3dPlugins_Load(const char* PPath, const char* PFileName);
extern void    E3dPlugins_Unlock(void);
extern void    E3d_PluginsUnload(void);

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _E3D_Plugins_h
